Index: cpukit/score/inline/rtems/score/address.inl
===================================================================
--- cpukit/score/inline/rtems/score/address.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/address.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,109 @@
+/*  inline/address.inl
+ *
+ *  This include file contains the bodies of the routines
+ *  about addresses which are inlined.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __INLINE_ADDRESSES_inl
+#define __INLINE_ADDRESSES_inl
+
+/*PAGE
+ *
+ *  _Addresses_Add_offset
+ *
+ */
+
+STATIC INLINE void *_Addresses_Add_offset (
+  void       *base,
+  unsigned32  offset
+)
+{
+  return (base + offset);
+}
+
+/*PAGE
+ *
+ *  _Addresses_Subtract_offset
+ *
+ */
+
+STATIC INLINE void *_Addresses_Subtract_offset (
+  void       *base,
+  unsigned32  offset
+)
+{
+  return (base - offset);
+}
+
+/*PAGE
+ *
+ *  _Addresses_Add
+ *
+ *  NOTE:  The cast of an address to an unsigned32 makes this code
+ *         dependent on an addresses being thirty two bits.
+ */
+
+STATIC INLINE void *_Addresses_Add (
+  void *left,
+  void *right
+)
+{
+  return (left + (unsigned32)right);
+}
+
+/*PAGE
+ *
+ *  _Addresses_Subtract
+ *
+ *  NOTE:  The cast of an address to an unsigned32 makes this code
+ *         dependent on an addresses being thirty two bits.
+ */
+
+STATIC INLINE unsigned32 _Addresses_Subtract (
+  void *left,
+  void *right
+)
+{
+  return (left - right);
+}
+
+/*PAGE
+ *
+ *  _Addresses_Is_aligned
+ *
+ */
+
+STATIC INLINE boolean _Addresses_Is_aligned (
+  void *address
+)
+{
+    return ( ( (unsigned32)address % CPU_ALIGNMENT ) == 0 );
+}
+
+/*PAGE
+ *
+ *  _Addresses_Is_in_range
+ *
+ */
+
+STATIC INLINE boolean _Addresses_Is_in_range (
+  void *address,
+  void *base,
+  void *limit
+)
+{
+  return ( address >= base && address <= limit );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/chain.inl
===================================================================
--- cpukit/score/inline/rtems/score/chain.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/chain.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,292 @@
+/*  inline/chain.inl
+ *
+ *  This include file contains the bodies of the routines which are
+ *  associated with doubly linked chains and inlined.
+ *
+ *  NOTE:  The routines in this file are ordered from simple
+ *         to complex.  No other Chain Handler routine is referenced
+ *         unless it has already been defined.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __INLINE_CHAIN_inl
+#define __INLINE_CHAIN_inl
+
+/*PAGE
+ *
+ *  _Chain_Are_nodes_equal
+ */
+
+STATIC INLINE boolean _Chain_Are_nodes_equal(
+  Chain_Node *left,
+  Chain_Node *right
+)
+{
+  return left == right;
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_null
+ */
+
+STATIC INLINE boolean _Chain_Is_null(
+  Chain_Control *the_chain
+)
+{
+  return ( the_chain == NULL );
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_null_node
+ */
+
+STATIC INLINE boolean _Chain_Is_null_node(
+  Chain_Node *the_node
+)
+{
+  return ( the_node == NULL );
+}
+
+/*PAGE
+ *
+ *  _Chain_Head
+ */
+
+STATIC INLINE Chain_Node *_Chain_Head(
+  Chain_Control *the_chain
+)
+{
+   return (Chain_Node *) the_chain;
+}
+
+/*PAGE
+ *
+ *  _Chain_Tail
+ */
+
+STATIC INLINE Chain_Node *_Chain_Tail(
+  Chain_Control *the_chain
+)
+{
+   return (Chain_Node *) &the_chain->permanent_null;
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_empty
+ */
+
+STATIC INLINE boolean _Chain_Is_empty(
+  Chain_Control *the_chain
+)
+{
+  return ( the_chain->first == _Chain_Tail( the_chain ) );
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_first
+ */
+
+STATIC INLINE boolean _Chain_Is_first(
+  Chain_Node *the_node
+)
+{
+  return ( the_node->previous == NULL );
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_last
+ */
+
+STATIC INLINE boolean _Chain_Is_last(
+  Chain_Node *the_node
+)
+{
+  return ( the_node->next == NULL );
+}
+
+/*PAGE
+ *
+ *  _Chain_Has_only_one_node
+ */
+
+STATIC INLINE boolean _Chain_Has_only_one_node(
+  Chain_Control *the_chain
+)
+{
+  return ( the_chain->first == the_chain->last );
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_head
+ */
+
+STATIC INLINE boolean _Chain_Is_head(
+  Chain_Control *the_chain,
+  Chain_Node    *the_node
+)
+{
+   return ( the_node == _Chain_Head( the_chain ) );
+}
+
+/*PAGE
+ *
+ *  _Chain_Is_tail
+ */
+
+STATIC INLINE boolean _Chain_Is_tail(
+  Chain_Control *the_chain,
+  Chain_Node    *the_node
+)
+{
+   return ( the_node == _Chain_Tail( the_chain ) );
+}
+
+/*PAGE
+ *
+ *  Chain_Initialize_empty
+ */
+
+STATIC INLINE void _Chain_Initialize_empty(
+  Chain_Control *the_chain
+)
+{
+  the_chain->first          = _Chain_Tail( the_chain );
+  the_chain->permanent_null = NULL;
+  the_chain->last           = _Chain_Head( the_chain );
+}
+
+/*PAGE
+ *
+ *  _Chain_Extract_unprotected
+ */
+
+STATIC INLINE void _Chain_Extract_unprotected(
+  Chain_Node *the_node
+)
+{
+  Chain_Node *next;
+  Chain_Node *previous;
+
+  next           = the_node->next;
+  previous       = the_node->previous;
+  next->previous = previous;
+  previous->next = next;
+}
+
+/*PAGE
+ *
+ *  _Chain_Get_first_unprotected
+ */
+
+STATIC INLINE Chain_Node *_Chain_Get_first_unprotected(
+  Chain_Control *the_chain
+)
+{
+  Chain_Node  *return_node;
+  Chain_Node  *new_first;
+
+  return_node         = the_chain->first;
+  new_first           = return_node->next;
+  the_chain->first    = new_first;
+  new_first->previous = _Chain_Head( the_chain );
+
+  return return_node;
+}
+
+/*PAGE
+ *
+ *  Chain_Get_unprotected
+ */
+
+STATIC INLINE Chain_Node *_Chain_Get_unprotected(
+  Chain_Control *the_chain
+)
+{
+  if ( !_Chain_Is_empty( the_chain ) )
+    return _Chain_Get_first_unprotected( the_chain );
+  else
+    return NULL;
+}
+
+/*PAGE
+ *
+ *  _Chain_Insert_unprotected
+ */
+
+STATIC INLINE void _Chain_Insert_unprotected(
+  Chain_Node *after_node,
+  Chain_Node *the_node
+)
+{
+  Chain_Node *before_node;
+
+  the_node->previous    = after_node;
+  before_node           = after_node->next;
+  after_node->next      = the_node;
+  the_node->next        = before_node;
+  before_node->previous = the_node;
+}
+
+/*PAGE
+ *
+ *  _Chain_Append_unprotected
+ */
+
+STATIC INLINE void _Chain_Append_unprotected(
+  Chain_Control *the_chain,
+  Chain_Node    *the_node
+)
+{
+  Chain_Node *old_last_node;
+
+  the_node->next      = _Chain_Tail( the_chain );
+  old_last_node       = the_chain->last;
+  the_chain->last     = the_node;
+  old_last_node->next = the_node;
+  the_node->previous  = old_last_node;
+}
+
+/*PAGE
+ *
+ *  _Chain_Prepend_unprotected
+ */
+
+STATIC INLINE void _Chain_Prepend_unprotected(
+  Chain_Control *the_chain,
+  Chain_Node    *the_node
+)
+{
+  _Chain_Insert_unprotected( _Chain_Head( the_chain ), the_node );
+
+}
+
+/*PAGE
+ *
+ *  _Chain_Prepend
+ */
+
+STATIC INLINE void _Chain_Prepend(
+  Chain_Control *the_chain,
+  Chain_Node    *the_node
+)
+{
+  _Chain_Insert( _Chain_Head( the_chain ), the_node );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/heap.inl
===================================================================
--- cpukit/score/inline/rtems/score/heap.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/heap.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,203 @@
+/*  heap.inl
+ *
+ *  This file contains the static inline implementation of the inlined
+ *  routines from the heap handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __HEAP_inl
+#define __HEAP_inl
+
+#include <rtems/address.h>
+
+/*PAGE
+ *
+ *  _Heap_Head
+ *
+ */
+
+STATIC INLINE Heap_Block *_Heap_Head (
+  Heap_Control *the_heap
+)
+{
+  return (Heap_Block *)&the_heap->start;
+}
+
+/*PAGE
+ *
+ *  _Heap_Tail
+ *
+ */
+
+STATIC INLINE Heap_Block *_Heap_Tail (
+  Heap_Control *the_heap
+)
+{
+  return (Heap_Block *)&the_heap->final;
+}
+
+/*PAGE
+ *
+ *  _Heap_Previous_block
+ *
+ */
+
+STATIC INLINE Heap_Block *_Heap_Previous_block (
+  Heap_Block *the_block
+)
+{
+  return (Heap_Block *) _Addresses_Subtract_offset(
+                          (void *)the_block,
+                          the_block->back_flag & ~ HEAP_BLOCK_USED
+                        );
+}
+
+/*PAGE
+ *
+ *  _Heap_Next_block
+ *
+ *  NOTE: Next_block assumes that the block is free.
+ */
+
+STATIC INLINE Heap_Block *_Heap_Next_block (
+  Heap_Block *the_block
+)
+{
+  return (Heap_Block *) _Addresses_Add_offset(
+                          (void *)the_block,
+                          the_block->front_flag & ~ HEAP_BLOCK_USED
+                        );
+}
+
+/*PAGE
+ *
+ *  _Heap_Block_at
+ *
+ */
+
+STATIC INLINE Heap_Block *_Heap_Block_at(
+  void       *base,
+  unsigned32  offset
+)
+{
+  return (Heap_Block *) _Addresses_Add_offset( (void *)base, offset );
+}
+
+/*PAGE
+ *
+ *  _Heap_Is_previous_block_free
+ *
+ */
+
+STATIC INLINE boolean _Heap_Is_previous_block_free (
+  Heap_Block *the_block
+)
+{
+  return !(the_block->back_flag & HEAP_BLOCK_USED);
+}
+
+/*PAGE
+ *
+ *  _Heap_Is_block_free
+ *
+ */
+
+STATIC INLINE boolean _Heap_Is_block_free (
+  Heap_Block *the_block
+)
+{
+  return !(the_block->front_flag & HEAP_BLOCK_USED);
+}
+
+/*PAGE
+ *
+ *  _Heap_Is_block_used
+ *
+ */
+
+STATIC INLINE boolean _Heap_Is_block_used (
+  Heap_Block *the_block
+)
+{
+  return (the_block->front_flag & HEAP_BLOCK_USED);
+}
+
+/*PAGE
+ *
+ *  _Heap_Block_size
+ *
+ */
+
+STATIC INLINE unsigned32 _Heap_Block_size (
+  Heap_Block *the_block
+)
+{
+  return (the_block->front_flag & ~HEAP_BLOCK_USED);
+}
+
+/*PAGE
+ *
+ *  _Heap_Start_of_user_area
+ *
+ */
+
+STATIC INLINE void *_Heap_Start_of_user_area (
+  Heap_Block *the_block
+)
+{
+  return (void *) &the_block->next;
+}
+
+/*PAGE
+ *
+ *  _Heap_Is_block_in
+ *
+ */
+
+STATIC INLINE boolean _Heap_Is_block_in (
+  Heap_Control *the_heap,
+  Heap_Block   *the_block
+)
+{
+  return _Addresses_Is_in_range( the_block, the_heap->start, the_heap->final );
+}
+
+/*PAGE
+ *
+ *  _Heap_Is_page_size_valid
+ *
+ */
+
+STATIC INLINE boolean _Heap_Is_page_size_valid(
+  unsigned32 page_size
+)
+{
+  return ((page_size != 0) &&
+         ((page_size % CPU_HEAP_ALIGNMENT) == 0));
+}
+
+/*PAGE
+ *
+ *  _Heap_Build_flag
+ *
+ */
+
+STATIC INLINE unsigned32 _Heap_Build_flag (
+  unsigned32 size,
+  unsigned32 in_use_flag
+)
+{
+  return  size | in_use_flag;
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/isr.inl
===================================================================
--- cpukit/score/inline/rtems/score/isr.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/isr.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,70 @@
+/*  isr.inl
+ *
+ *  This include file contains the static implementation of all
+ *  inlined routines in the Interrupt Handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __ISR_inl
+#define __ISR_inl
+
+/*PAGE
+ *
+ *  _ISR_Handler_initialization
+ *
+ */
+
+STATIC INLINE void _ISR_Handler_initialization ( void )
+{
+  _ISR_Signals_to_thread_executing = FALSE;
+  _ISR_Nest_level = 0;
+}
+
+/*PAGE
+ *
+ *  _ISR_Is_in_progress
+ *
+ */
+
+STATIC INLINE boolean _ISR_Is_in_progress( void )
+{
+  return (_ISR_Nest_level != 0);
+}
+
+/*PAGE
+ *
+ *  _ISR_Is_vector_number_valid
+ *
+ */
+
+STATIC INLINE boolean _ISR_Is_vector_number_valid (
+  unsigned32 vector
+)
+{
+  return ( vector < CPU_INTERRUPT_NUMBER_OF_VECTORS );
+}
+
+/*PAGE
+ *
+ *  _ISR_Is_valid_user_handler
+ *
+ */
+
+STATIC INLINE boolean _ISR_Is_valid_user_handler (
+  void *handler
+)
+{
+  return ( handler != NULL);
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/mppkt.inl
===================================================================
--- cpukit/score/inline/rtems/score/mppkt.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/mppkt.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,49 @@
+/*  inline/mppkt.inl
+ *
+ *  This package is the implementation of the Packet Handler
+ *  routines which are inlined.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __INLINE_MP_PACKET_inl
+#define __INLINE_MP_PACKET_inl
+
+/*PAGE
+ *
+ *  _Mp_packet_Is_valid_packet_class
+ *
+ *  NOTE: Check for lower bounds (MP_PACKET_CLASSES_FIRST ) is unnecessary
+ *        because this enum starts at lower bound of zero.
+ */
+
+STATIC INLINE boolean _Mp_packet_Is_valid_packet_class (
+  rtems_mp_packet_classes the_packet_class
+)
+{
+  return ( the_packet_class <= MP_PACKET_CLASSES_LAST );
+}
+
+/*PAGE
+ *
+ *  _Mp_packet_Is_null
+ *
+ */
+
+STATIC INLINE boolean _Mp_packet_Is_null (
+  rtems_packet_prefix   *the_packet
+)
+{
+  return the_packet == NULL;
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/object.inl
===================================================================
--- cpukit/score/inline/rtems/score/object.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/object.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,198 @@
+/*  object.inl
+ *
+ *  This include file contains the static inline implementation of all
+ *  of the inlined routines in the Object Handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __OBJECTS_inl
+#define __OBJECTS_inl
+
+/*PAGE
+ *
+ *  _Objects_Is_name_valid
+ *
+ */
+
+STATIC INLINE boolean _Objects_Is_name_valid (
+  Objects_Name name
+)
+{
+  return ( name != 0 );
+}
+
+/*PAGE
+ *
+ *  rtems_name_to_characters
+ *
+ */
+
+STATIC INLINE void rtems_name_to_characters(
+  Objects_Name  name,
+  char         *c1,
+  char         *c2,
+  char         *c3,
+  char         *c4
+)
+{
+  *c1 = (name >> 24) & 0xff;
+  *c2 = (name >> 16) & 0xff;
+  *c3 = (name >> 8) & 0xff;
+  *c4 =  name & 0xff;
+}
+
+/*PAGE
+ *
+ *  _Objects_Build_id
+ *
+ */
+
+STATIC INLINE Objects_Id _Objects_Build_id(
+  unsigned32 node,
+  unsigned32 index
+)
+{
+  return ( (node << 16) | index );
+}
+
+/*PAGE
+ *
+ *  rtems_get_node
+ *
+ */
+
+STATIC INLINE unsigned32 rtems_get_node(
+  Objects_Id id
+)
+{
+  return (id >> 16);
+}
+
+/*PAGE
+ *
+ *  rtems_get_index
+ *
+ */
+
+STATIC INLINE unsigned32 rtems_get_index(
+  Objects_Id id
+)
+{
+  return (id &0xFFFF);
+}
+
+/*PAGE
+ *
+ *  _Objects_Is_local_node
+ *
+ */
+
+STATIC INLINE boolean _Objects_Is_local_node(
+  unsigned32 node
+)
+{
+  return ( node == _Objects_Local_node );
+}
+
+/*PAGE
+ *
+ *  _Objects_Is_local_id
+ *
+ */
+
+STATIC INLINE boolean _Objects_Is_local_id(
+  Objects_Id id
+)
+{
+  return _Objects_Is_local_node( rtems_get_node(id) );
+}
+
+/*PAGE
+ *
+ *  _Objects_Are_ids_equal
+ *
+ */
+
+STATIC INLINE boolean _Objects_Are_ids_equal(
+  Objects_Id left,
+  Objects_Id right
+)
+{
+  return ( left == right );
+}
+
+/*PAGE
+ *
+ *  _Objects_Allocate
+ *
+ */
+
+STATIC INLINE Objects_Control *_Objects_Allocate(
+  Objects_Information *information
+)
+{
+  return (Objects_Control *) _Chain_Get( &information->Inactive );
+}
+
+/*PAGE
+ *
+ *  _Objects_Free
+ *
+ */
+
+STATIC INLINE void _Objects_Free(
+  Objects_Information *information,
+  Objects_Control     *the_object
+)
+{
+  _Chain_Append( &information->Inactive, &the_object->Node );
+}
+
+/*PAGE
+ *
+ *  _Objects_Open
+ *
+ */
+
+STATIC INLINE void _Objects_Open(
+  Objects_Information *information,
+  Objects_Control     *the_object,
+  Objects_Name         name
+)
+{
+  unsigned32 index;
+
+  index = rtems_get_index( the_object->id );
+  information->local_table[ index ] = the_object;
+  information->name_table[ index ]  = name;
+}
+
+/*PAGE
+ *
+ *  _Objects_Close
+ *
+ */
+
+STATIC INLINE void _Objects_Close(
+  Objects_Information  *information,
+  Objects_Control      *the_object
+)
+{
+  unsigned32 index;
+
+  index = rtems_get_index( the_object->id );
+  information->local_table[ index ] = NULL;
+  information->name_table[ index ]  = 0;
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/objectmp.inl
===================================================================
--- cpukit/score/inline/rtems/score/objectmp.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/objectmp.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,62 @@
+/*  inline/objectmp.inl
+ *
+ *  This include file contains the bodies of all inlined routines
+ *  which deal with global objects.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __INLINE_MP_OBJECTS_inl
+#define __INLINE_MP_OBJECTS_inl
+
+/*PAGE
+ *
+ *  _Objects_MP_Allocate_global_object
+ *
+ */
+
+STATIC INLINE Objects_MP_Control *_Objects_MP_Allocate_global_object (
+  void
+)
+{
+  return (Objects_MP_Control *)
+           _Chain_Get( &_Objects_MP_Inactive_global_objects );
+}
+
+/*PAGE
+ *  _Objects_MP_Free_global_object
+ *
+ */
+
+STATIC INLINE void _Objects_MP_Free_global_object (
+  Objects_MP_Control *the_object
+)
+{
+  _Chain_Append(
+    &_Objects_MP_Inactive_global_objects,
+    &the_object->Object.Node
+  );
+}
+
+/*PAGE
+ *  _Objects_MP_Is_null_global_object
+ *
+ */
+
+STATIC INLINE boolean _Objects_MP_Is_null_global_object (
+  Objects_MP_Control *the_object
+)
+{
+  return( the_object == NULL );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/priority.inl
===================================================================
--- cpukit/score/inline/rtems/score/priority.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/priority.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,168 @@
+/*  priority.inl
+ *
+ *  This file contains the static inline implementation of all inlined
+ *  routines in the Priority Handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __PRIORITY_inl
+#define __PRIORITY_inl
+
+#include <rtems/bitfield.h>
+
+/*PAGE
+ *
+ *  _Priority_Handler_initialization
+ *
+ */
+
+STATIC INLINE void _Priority_Handler_initialization( void )
+{
+  unsigned32 index;
+
+  _Priority_Major_bit_map = 0;
+  for ( index=0 ; index <16 ; index++ )
+     _Priority_Bit_map[ index ] = 0;
+}
+
+/*PAGE
+ *
+ *  _Priority_Is_valid
+ *
+ */
+
+STATIC INLINE boolean _Priority_Is_valid (
+  rtems_task_priority the_priority
+)
+{
+  return (  ( the_priority >= RTEMS_MINIMUM_PRIORITY ) &&
+            ( the_priority <= RTEMS_MAXIMUM_PRIORITY ) );
+}
+
+/*PAGE
+ *
+ *  _Priority_Major
+ *
+ */
+
+STATIC INLINE unsigned32 _Priority_Major (
+  rtems_task_priority the_priority
+)
+{
+  return ( the_priority / 16 );
+}
+
+/*PAGE
+ *
+ *  _Priority_Minor
+ *
+ */
+
+STATIC INLINE unsigned32 _Priority_Minor (
+  rtems_task_priority the_priority
+)
+{
+  return ( the_priority % 16 );
+}
+
+/*PAGE
+ *
+ *  _Priority_Add_to_bit_map
+ *
+ */
+
+STATIC INLINE void _Priority_Add_to_bit_map (
+  Priority_Information *the_priority_map
+)
+{
+  *the_priority_map->minor |= the_priority_map->ready_minor;
+  _Priority_Major_bit_map  |= the_priority_map->ready_major;
+}
+
+/*PAGE
+ *
+ *  _Priority_Remove_from_bit_map
+ *
+ */
+
+STATIC INLINE void _Priority_Remove_from_bit_map (
+  Priority_Information *the_priority_map
+)
+{
+  *the_priority_map->minor &= the_priority_map->block_minor;
+  if ( *the_priority_map->minor == 0 )
+    _Priority_Major_bit_map &= the_priority_map->block_major;
+}
+
+/*PAGE
+ *
+ *  _Priority_Get_highest
+ *
+ */
+
+STATIC INLINE rtems_task_priority _Priority_Get_highest( void )
+{
+  Priority_Bit_map_control minor;
+  Priority_Bit_map_control major;
+
+  _Bitfield_Find_first_bit( _Priority_Major_bit_map, major );
+  _Bitfield_Find_first_bit( _Priority_Bit_map[major], minor );
+
+  return (_CPU_Priority_Bits_index( major ) << 4) +
+          _CPU_Priority_Bits_index( minor );
+}
+
+/*PAGE
+ *
+ *  _Priority_Initialize_information
+ *
+ */
+
+STATIC INLINE void _Priority_Initialize_information(
+  Priority_Information *the_priority_map,
+  rtems_task_priority      new_priority
+)
+{
+  Priority_Bit_map_control major;
+  Priority_Bit_map_control minor;
+  Priority_Bit_map_control mask;
+
+  major = _Priority_Major( new_priority );
+  minor = _Priority_Minor( new_priority );
+
+  the_priority_map->minor =
+    &_Priority_Bit_map[ _CPU_Priority_Bits_index(major) ];
+
+  mask = _CPU_Priority_Mask( major );
+  the_priority_map->ready_major = mask;
+  the_priority_map->block_major = ~mask;
+
+  mask = _CPU_Priority_Mask( minor );
+  the_priority_map->ready_minor = mask;
+  the_priority_map->block_minor = ~mask;
+}
+
+/*PAGE
+ *
+ *  _Priority_Is_group_empty
+ *
+ */
+
+STATIC INLINE boolean _Priority_Is_group_empty (
+  rtems_task_priority      the_priority
+)
+{
+  return the_priority == 0;
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/stack.inl
===================================================================
--- cpukit/score/inline/rtems/score/stack.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/stack.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,63 @@
+/*  stack.inl
+ *
+ *  This file contains the static inline implementation of the inlined
+ *  routines from the Stack Handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __STACK_inl
+#define __STACK_inl
+
+/*PAGE
+ *
+ *  _Stack_Initialize
+ *
+ */
+
+STATIC INLINE void _Stack_Initialize (
+  Stack_Control *the_stack,
+  void          *starting_address,
+  unsigned32     size
+)
+{
+  the_stack->area = starting_address;
+  the_stack->size = size;
+}
+
+/*PAGE
+ *
+ *  _Stack_Is_enough
+ *
+ */
+
+STATIC INLINE boolean _Stack_Is_enough (
+  unsigned32 size
+)
+{
+  return ( size >= RTEMS_MINIMUM_STACK_SIZE );
+}
+
+/*PAGE
+ *
+ *  _Stack_Adjust_size
+ *
+ */
+
+STATIC INLINE unsigned32 _Stack_Adjust_size (
+  unsigned32 size
+)
+{
+  return size + CPU_STACK_ALIGNMENT;
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/states.inl
===================================================================
--- cpukit/score/inline/rtems/score/states.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/states.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,285 @@
+/*  states.inl
+ *
+ *  This file contains the macro implementation of the inlined
+ *  routines associated with RTEMS state information.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __STATES_inl
+#define __STATES_inl
+
+/*PAGE
+ *
+ *  _States_Set
+ *
+ */
+
+STATIC INLINE States_Control _States_Set (
+  States_Control states_to_set,
+  States_Control current_state
+)
+{
+   return (current_state | states_to_set);
+}
+
+/*PAGE
+ *
+ *  _States_Clear
+ *
+ */
+
+STATIC INLINE States_Control _States_Clear (
+  States_Control states_to_clear,
+  States_Control current_state
+)
+{
+   return (current_state & ~states_to_clear);
+}
+
+/*PAGE
+ *
+ *  _States_Is_ready
+ *
+ */
+
+STATIC INLINE boolean _States_Is_ready (
+  States_Control the_states
+)
+{
+   return (the_states == STATES_READY);
+}
+
+/*PAGE
+ *
+ *  _States_Is_only_dormant
+ *
+ */
+
+STATIC INLINE boolean _States_Is_only_dormant (
+  States_Control the_states
+)
+{
+   return (the_states == STATES_DORMANT);
+}
+
+/*PAGE
+ *
+ *  _States_Is_dormant
+ *
+ */
+
+STATIC INLINE boolean _States_Is_dormant (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_DORMANT);
+}
+
+/*PAGE
+ *
+ *  _States_Is_suspended
+ *
+ */
+
+STATIC INLINE boolean _States_Is_suspended (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_SUSPENDED);
+}
+
+/*PAGE
+ *
+ *  _States_Is_Transient
+ *
+ */
+
+STATIC INLINE boolean _States_Is_transient (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_TRANSIENT);
+}
+
+/*PAGE
+ *
+ *  _States_Is_delaying
+ *
+ */
+
+STATIC INLINE boolean _States_Is_delaying (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_DELAYING);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_buffer
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_buffer (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_BUFFER);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_segment
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_segment (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_SEGMENT);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_message
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_message (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_MESSAGE);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_event
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_event (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_EVENT);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_semaphore
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_semaphore (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_SEMAPHORE);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_time
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_time (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_TIME);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_rpc_reply
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_rpc_reply (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_RPC_REPLY);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_for_period
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_for_period (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_FOR_PERIOD);
+}
+
+/*PAGE
+ *
+ *  _States_Is_locally_blocked
+ *
+ */
+
+STATIC INLINE boolean _States_Is_locally_blocked (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_LOCALLY_BLOCKED);
+}
+
+/*PAGE
+ *
+ *  _States_Is_waiting_on_thread_queue
+ *
+ */
+
+STATIC INLINE boolean _States_Is_waiting_on_thread_queue (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_WAITING_ON_THREAD_QUEUE);
+}
+
+/*PAGE
+ *
+ *  _States_Is_blocked
+ *
+ */
+
+STATIC INLINE boolean _States_Is_blocked (
+  States_Control the_states
+)
+{
+   return (the_states & STATES_BLOCKED);
+}
+
+/*PAGEPAGE
+ *
+ *
+ *  _States_Are_set
+ *
+ */
+
+STATIC INLINE boolean _States_Are_set (
+  States_Control the_states,
+  States_Control mask
+)
+{
+   return ( (the_states & mask) != STATES_READY);
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/sysstate.inl
===================================================================
--- cpukit/score/inline/rtems/score/sysstate.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/sysstate.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,103 @@
+/*  sysstates.inl
+ *
+ *  This file contains the inline implementation of routines regarding the 
+ *  system state.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __SYSTEM_STATE_inl
+#define __SYSTEM_STATE_inl
+
+/*PAGE
+ *
+ *  _System_state_Set
+ */
+
+STATIC INLINE void _System_state_Set (
+  System_state_Codes state
+)
+{
+  _System_state_Current = state;
+}
+
+/*PAGE
+ *
+ *  _System_state_Get
+ */
+
+STATIC INLINE System_state_Codes _System_state_Get ( void )
+{
+  return _System_state_Current;
+}
+
+/*PAGE
+ *
+ *  _System_state_Is_before_initialization
+ */
+
+STATIC INLINE boolean _System_state_Is_before_initialization (
+  System_state_Codes state
+)
+{
+  return (state == SYSTEM_STATE_BEFORE_INITIALIZATION);
+}
+
+/*PAGE
+ *
+ *  _System_state_Is_before_multitasking
+ */
+
+STATIC INLINE boolean _System_state_Is_before_multitasking (
+  System_state_Codes state
+)
+{
+  return (state == SYSTEM_STATE_BEFORE_MULTITASKING);
+}
+
+/*PAGE
+ *
+ *  _System_state_Is_begin_multitasking
+ */
+
+STATIC INLINE boolean _System_state_Is_begin_multitasking (
+  System_state_Codes state
+)
+{
+  return (state == SYSTEM_STATE_BEGIN_MULTITASKING);
+}
+
+/*PAGE
+ *
+ *  _System_state_Is_up
+ */
+
+STATIC INLINE boolean _System_state_Is_up (
+  System_state_Codes state
+)
+{
+  return (state == SYSTEM_STATE_UP);
+}
+
+/*PAGE
+ *
+ *  _System_state_Is_failed
+ */
+
+STATIC INLINE boolean _System_state_Is_failed (
+  System_state_Codes state
+)
+{
+  return (state == SYSTEM_STATE_FAILED);
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/thread.inl
===================================================================
--- cpukit/score/inline/rtems/score/thread.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/thread.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,252 @@
+/*  thread.inl
+ *
+ *  This file contains the macro implementation of the inlined
+ *  routines from the Thread handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __THREAD_inl
+#define __THREAD_inl
+
+/*PAGE
+ *
+ *  _Thread_Stop_multitasking
+ *
+ */
+
+STATIC INLINE void _Thread_Stop_multitasking( void )
+{
+  _Context_Switch( &_Thread_Executing->Registers, &_Thread_BSP_context );
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_executing
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_executing (
+  Thread_Control *the_thread
+)
+{
+  return ( the_thread == _Thread_Executing );
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_heir
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_heir (
+  Thread_Control *the_thread
+)
+{
+  return ( the_thread == _Thread_Heir );
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_executing_also_the_heir
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_executing_also_the_heir( void )
+{
+  return ( _Thread_Executing == _Thread_Heir );
+}
+
+/*PAGE
+ *
+ *  _Thread_Resume
+ *
+ */
+
+STATIC INLINE void _Thread_Resume (
+  Thread_Control *the_thread
+)
+{
+  _Thread_Clear_state( the_thread, STATES_SUSPENDED );
+}
+
+/*PAGE
+ *
+ *  _Thread_Unblock
+ *
+ */
+
+STATIC INLINE void _Thread_Unblock (
+  Thread_Control *the_thread
+)
+{
+  _Thread_Clear_state( the_thread, STATES_BLOCKED );
+}
+
+/*PAGE
+ *
+ *  _Thread_Restart_self
+ *
+ */
+
+STATIC INLINE void _Thread_Restart_self( void )
+{
+  if ( _Thread_Executing->fp_context != NULL )
+    _Context_Restore_fp( &_Thread_Executing->fp_context );
+
+  _CPU_Context_Restart_self( &_Thread_Executing->Registers );
+}
+
+/*PAGE
+ *
+ *  _Thread_Calculate_heir
+ *
+ */
+
+STATIC INLINE void _Thread_Calculate_heir( void )
+{
+  _Thread_Heir = (Thread_Control *)
+    _Thread_Ready_chain[ _Priority_Get_highest() ].first;
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_allocated_fp
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_allocated_fp (
+  Thread_Control *the_thread
+)
+{
+  return ( the_thread == _Thread_Allocated_fp );
+}
+
+/*PAGE
+ *
+ *  _Thread_Deallocate_fp
+ *
+ */
+
+STATIC INLINE void _Thread_Deallocate_fp( void )
+{
+  _Thread_Allocated_fp = NULL;
+}
+
+/*PAGE
+ *
+ *  _Thread_Disable_dispatch
+ *
+ */
+
+STATIC INLINE void _Thread_Disable_dispatch( void )
+{
+  _Thread_Dispatch_disable_level += 1;
+}
+
+/*PAGE
+ *
+ *  _Thread_Enable_dispatch
+ *
+ */
+
+#if ( CPU_INLINE_ENABLE_DISPATCH == TRUE )
+STATIC INLINE void _Thread_Enable_dispatch()
+{
+  if ( (--_Thread_Dispatch_disable_level) == 0 )
+    _Thread_Dispatch();
+}
+#endif
+
+#if ( CPU_INLINE_ENABLE_DISPATCH == FALSE )
+void _Thread_Enable_dispatch( void );
+#endif
+
+/*PAGE
+ *
+ *  _Thread_Unnest_dispatch
+ *
+ */
+
+STATIC INLINE void _Thread_Unnest_dispatch( void )
+{
+  _Thread_Dispatch_disable_level -= 1;
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_dispatching_enabled
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_dispatching_enabled( void )
+{
+  return ( _Thread_Dispatch_disable_level == 0 );
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_context_switch_necessary
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_context_switch_necessary( void )
+{
+  return ( _Context_Switch_necessary );
+}
+
+/*PAGE
+ *
+ *  _Thread_Dispatch_initialization
+ *
+ */
+
+STATIC INLINE void _Thread_Dispatch_initialization( void )
+{
+  _Thread_Dispatch_disable_level = 1;
+}
+
+/*PAGE
+ *
+ *  _Thread_Is_null
+ *
+ */
+
+STATIC INLINE boolean _Thread_Is_null (
+  Thread_Control *the_thread
+)
+{
+  return ( the_thread == NULL );
+}
+
+/*PAGE
+ *
+ *  _Thread_Get
+ *
+ */
+
+STATIC INLINE Thread_Control *_Thread_Get (
+  Objects_Id         id,
+  Objects_Locations *location
+)
+{
+  if ( _Objects_Are_ids_equal( id, OBJECTS_ID_OF_SELF ) ) {
+     _Thread_Disable_dispatch();
+     *location = OBJECTS_LOCAL;
+     return( _Thread_Executing );
+  }
+
+  return (Thread_Control *)
+          _Objects_Get( &_Thread_Information, id, location );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/threadmp.inl
===================================================================
--- cpukit/score/inline/rtems/score/threadmp.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/threadmp.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,53 @@
+/*  inline/threadmp.inl
+ *
+ *  This include file contains the bodies of all inlined routines
+ *  for the multiprocessing part of thread package.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __INLINE_MP_THREAD_inl
+#define __INLINE_MP_THREAD_inl
+
+/*PAGE
+ *
+ *  _Thread_MP_Is_receive
+ *
+ */
+
+STATIC INLINE boolean _Thread_MP_Is_receive (
+  Thread_Control *the_thread
+)
+{
+  return the_thread == _Thread_MP_Receive;
+}
+
+/*PAGE
+ *
+ *  _Thread_MP_Free_proxy
+ *
+ */
+
+STATIC INLINE void _Thread_MP_Free_proxy (
+  Thread_Control *the_thread
+)
+{
+  Thread_Proxy_control *the_proxy;
+
+  the_proxy = (Thread_Proxy_control *) the_thread;
+
+  _Chain_Extract( &the_proxy->Active );
+
+  _Chain_Append( &_Thread_MP_Inactive_proxies, &the_thread->Object.Node );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/tod.inl
===================================================================
--- cpukit/score/inline/rtems/score/tod.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/tod.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,72 @@
+/*  tod.inl
+ *
+ *  This file contains the static inline implementation of the inlined routines
+ *  from the Time of Day Handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __TIME_OF_DAY_inl
+#define __TIME_OF_DAY_inl
+
+/*PAGE
+ *
+ *  _TOD_Is_set
+ *
+ */
+
+STATIC INLINE boolean _TOD_Is_set( void )
+{
+  return _Watchdog_Is_active( &_TOD_Seconds_watchdog );
+}
+
+/*PAGE
+ *
+ *  _TOD_Tickle_ticks
+ *
+ */
+
+STATIC INLINE void _TOD_Tickle_ticks( void )
+{
+  _TOD_Current.ticks += 1;
+  _TOD_Ticks_since_boot += 1;
+}
+
+/*PAGE
+ *
+ *  _TOD_Deactivate
+ *
+ */
+
+STATIC INLINE void _TOD_Deactivate( void )
+{
+  _Watchdog_Remove( &_TOD_Seconds_watchdog );
+}
+
+/*PAGE
+ *
+ *  _TOD_Activate
+ *
+ */
+
+STATIC INLINE void _TOD_Activate(
+  rtems_interval ticks
+)
+{
+  _Watchdog_Insert_ticks(
+    &_TOD_Seconds_watchdog,
+    ticks,
+    WATCHDOG_ACTIVATE_NOW
+  );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/tqdata.inl
===================================================================
--- cpukit/score/inline/rtems/score/tqdata.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/tqdata.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,47 @@
+/*  tqdata.inl
+ *
+ *  This file contains the static inline implementation of the inlined
+ *  routines needed to support the Thread Queue Data.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __THREAD_QUEUE_DATA_inl
+#define __THREAD_QUEUE_DATA_inl
+
+/*PAGE
+ *
+ *  _Thread_queue_Header_number
+ *
+ */
+
+STATIC INLINE unsigned32 _Thread_queue_Header_number (
+  rtems_task_priority the_priority
+)
+{
+  return ( the_priority >> 6 );
+}
+
+/*PAGE
+ *
+ *  _Thread_queue_Is_reverse_search
+ *
+ */
+
+STATIC INLINE boolean _Thread_queue_Is_reverse_search (
+  rtems_task_priority the_priority
+)
+{
+  return ( the_priority & 0x20 );
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/userext.inl
===================================================================
--- cpukit/score/inline/rtems/score/userext.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/userext.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,268 @@
+/*  userext.inl
+ *
+ *  This file contains the macro implementation of the inlined routines
+ *  from the User Extension Handler
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __USER_EXTENSIONS_inl
+#define __USER_EXTENSIONS_inl
+
+/*PAGE
+ *
+ *  _User_extensions_Handler_initialization
+ *
+ */
+
+STATIC INLINE void _User_extensions_Handler_initialization (
+    rtems_extensions_table *initial_extensions
+)
+{
+  _Chain_Initialize_empty( &_User_extensions_List );
+
+  if ( initial_extensions ) {
+    _User_extensions_Initial.Callouts = *initial_extensions;
+    _Chain_Append( &_User_extensions_List, &_User_extensions_Initial.Node );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Add_set
+ */
+
+STATIC INLINE void _User_extensions_Add_set (
+  User_extensions_Control       *the_extension,
+  rtems_extensions_table *extension_table
+)
+{
+  the_extension->Callouts = *extension_table;
+
+  _Chain_Append( &_User_extensions_List, &the_extension->Node );
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Remove_set
+ */
+
+STATIC INLINE void _User_extensions_Remove_set (
+  User_extensions_Control  *the_extension
+)
+{
+  _Chain_Extract( &the_extension->Node );
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_create
+ *
+ */
+
+STATIC INLINE void _User_extensions_Task_create (
+  Thread_Control *the_thread
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.first ;
+        !_Chain_Is_tail( &_User_extensions_List, the_node ) ;
+        the_node = the_node->next ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.rtems_task_create != NULL )
+      (*the_extension->Callouts.rtems_task_create)(
+        _Thread_Executing,
+        the_thread
+      );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_delete
+ */
+
+STATIC INLINE void _User_extensions_Task_delete (
+  Thread_Control *the_thread
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.last ;
+        !_Chain_Is_head( &_User_extensions_List, the_node ) ;
+        the_node = the_node->previous ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.rtems_task_delete != NULL )
+      (*the_extension->Callouts.rtems_task_delete)(
+        _Thread_Executing,
+        the_thread
+      );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_start
+ *
+ */
+
+STATIC INLINE void _User_extensions_Task_start (
+  Thread_Control *the_thread
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.first ;
+        !_Chain_Is_tail( &_User_extensions_List, the_node ) ;
+        the_node = the_node->next ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.rtems_task_start != NULL )
+      (*the_extension->Callouts.rtems_task_start)(
+        _Thread_Executing,
+        the_thread
+      );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_restart
+ *
+ */
+
+STATIC INLINE void _User_extensions_Task_restart (
+  Thread_Control *the_thread
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.first ;
+        !_Chain_Is_tail( &_User_extensions_List, the_node ) ;
+        the_node = the_node->next ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.rtems_task_restart != NULL )
+      (*the_extension->Callouts.rtems_task_restart)(
+        _Thread_Executing,
+        the_thread
+      );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_switch
+ *
+ */
+
+STATIC INLINE void _User_extensions_Task_switch (
+  Thread_Control *executing,
+  Thread_Control *heir
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.first ;
+        !_Chain_Is_tail( &_User_extensions_List, the_node ) ;
+        the_node = the_node->next ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.task_switch != NULL )
+      (*the_extension->Callouts.task_switch)( executing, heir );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_begin
+ *
+ */
+
+STATIC INLINE void _User_extensions_Task_begin (
+  Thread_Control *executing
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.first ;
+        !_Chain_Is_tail( &_User_extensions_List, the_node ) ;
+        the_node = the_node->next ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.task_begin != NULL )
+      (*the_extension->Callouts.task_begin)( executing );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Task_exitted
+ */
+
+STATIC INLINE void _User_extensions_Task_exitted (
+  Thread_Control *executing
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.last ;
+        !_Chain_Is_head( &_User_extensions_List, the_node ) ;
+        the_node = the_node->previous ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.task_exitted != NULL )
+      (*the_extension->Callouts.task_exitted)( executing );
+  }
+}
+
+/*PAGE
+ *
+ *  _User_extensions_Fatal
+ */
+
+STATIC INLINE void _User_extensions_Fatal (
+  unsigned32 the_error
+)
+{
+  Chain_Node              *the_node;
+  User_extensions_Control *the_extension;
+
+  for ( the_node = _User_extensions_List.last ;
+        !_Chain_Is_head( &_User_extensions_List, the_node ) ;
+        the_node = the_node->previous ) {
+
+    the_extension = (User_extensions_Control *) the_node;
+
+    if ( the_extension->Callouts.fatal != NULL )
+      (*the_extension->Callouts.fatal)( the_error );
+  }
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/watchdog.inl
===================================================================
--- cpukit/score/inline/rtems/score/watchdog.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/watchdog.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,296 @@
+/*  watchdog.inl
+ *
+ *  This file contains the static inline implementation of all inlined
+ *  routines in the Watchdog Handler.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __WATCHDOG_inl
+#define __WATCHDOG_inl
+
+/*PAGE
+ *
+ *  _Watchdog_Initialize
+ *
+ */
+
+STATIC INLINE void _Watchdog_Initialize(
+  Watchdog_Control *the_watchdog,
+  rtems_timer_service_routine_entry  routine,
+  Objects_Id        id,
+  void             *user_data
+)
+{
+  the_watchdog->state     = WATCHDOG_INACTIVE;
+  the_watchdog->routine   = routine;
+  the_watchdog->id        = id;
+  the_watchdog->user_data = user_data;
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Is_active
+ *
+ */
+
+STATIC INLINE boolean _Watchdog_Is_active(
+  Watchdog_Control *the_watchdog
+)
+{
+
+  return ( the_watchdog->state == WATCHDOG_ACTIVE );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Activate
+ *
+ */
+
+STATIC INLINE void _Watchdog_Activate(
+  Watchdog_Control *the_watchdog
+)
+{
+
+  the_watchdog->state = WATCHDOG_ACTIVE;
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Deactivate
+ *
+ */
+
+STATIC INLINE void _Watchdog_Deactivate(
+  Watchdog_Control *the_watchdog
+)
+{
+
+  the_watchdog->state = WATCHDOG_REMOVE_IT;
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Tickle_ticks
+ *
+ */
+
+STATIC INLINE void _Watchdog_Tickle_ticks( void )
+{
+
+  _Watchdog_Tickle( &_Watchdog_Ticks_chain );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Tickle_seconds
+ *
+ */
+
+STATIC INLINE void _Watchdog_Tickle_seconds( void )
+{
+
+  _Watchdog_Tickle( &_Watchdog_Seconds_chain );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Insert_ticks
+ *
+ */
+
+STATIC INLINE void _Watchdog_Insert_ticks(
+  Watchdog_Control      *the_watchdog,
+  rtems_interval      units,
+  Watchdog_Insert_modes  insert_mode
+)
+{
+
+  the_watchdog->initial = units;
+
+  _Watchdog_Insert( &_Watchdog_Ticks_chain, the_watchdog, insert_mode );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Insert_seconds
+ *
+ */
+
+STATIC INLINE void _Watchdog_Insert_seconds(
+  Watchdog_Control      *the_watchdog,
+  rtems_interval      units,
+  Watchdog_Insert_modes  insert_mode
+)
+{
+
+  the_watchdog->initial = units;
+
+  _Watchdog_Insert( &_Watchdog_Seconds_chain, the_watchdog, insert_mode );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Adjust_seconds
+ *
+ */
+
+STATIC INLINE void _Watchdog_Adjust_seconds(
+  Watchdog_Adjust_directions direction,
+  rtems_interval          units
+)
+{
+
+  _Watchdog_Adjust( &_Watchdog_Seconds_chain, direction, units );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Adjust_ticks
+ *
+ */
+
+STATIC INLINE void _Watchdog_Adjust_ticks(
+  Watchdog_Adjust_directions direction,
+  rtems_interval          units
+)
+{
+
+  _Watchdog_Adjust( &_Watchdog_Ticks_chain, direction, units );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Reset
+ *
+ */
+
+STATIC INLINE void _Watchdog_Reset(
+  Watchdog_Control *the_watchdog
+)
+{
+
+  (void) _Watchdog_Remove( the_watchdog );
+
+  _Watchdog_Insert(
+    &_Watchdog_Ticks_chain,
+    the_watchdog,
+    WATCHDOG_ACTIVATE_NOW
+  );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Next
+ *
+ */
+
+STATIC INLINE Watchdog_Control *_Watchdog_Next(
+  Watchdog_Control *the_watchdog
+)
+{
+
+  return ( (Watchdog_Control *) the_watchdog->Node.next );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Previous
+ *
+ */
+
+STATIC INLINE Watchdog_Control *_Watchdog_Previous(
+  Watchdog_Control *the_watchdog
+)
+{
+
+  return ( (Watchdog_Control *) the_watchdog->Node.previous );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_First
+ *
+ */
+
+STATIC INLINE Watchdog_Control *_Watchdog_First(
+  Chain_Control *header
+)
+{
+
+  return ( (Watchdog_Control *) header->first );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Last
+ *
+ */
+STATIC INLINE Watchdog_Control *_Watchdog_Last(
+  Chain_Control *header
+)
+{
+
+  return ( (Watchdog_Control *) header->last );
+
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Get_sync
+ *
+ */
+
+STATIC INLINE Watchdog_Control *_Watchdog_Get_sync( void )
+{
+  return (Watchdog_Control *) _Watchdog_Sync;
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Set_sync
+ *
+ */
+
+STATIC INLINE void _Watchdog_Set_sync(
+  Watchdog_Control *the_watchdog
+)
+{
+  _Watchdog_Sync = (Watchdog_Synchronization_pointer) the_watchdog;
+}
+
+/*PAGE
+ *
+ *  _Watchdog_Clear_sync
+ *
+ */
+
+STATIC INLINE void _Watchdog_Clear_sync( void )
+{
+  _Watchdog_Sync = NULL;
+}
+
+#endif
+/* end of include file */
Index: cpukit/score/inline/rtems/score/wkspace.inl
===================================================================
--- cpukit/score/inline/rtems/score/wkspace.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
+++ cpukit/score/inline/rtems/score/wkspace.inl	(revision ac7d5ef06a6d6e8d84abbd1f0b82162725f98326)
@@ -0,0 +1,104 @@
+/*  wkspace.inl
+ *
+ *  This include file contains the bodies of the routines which contains
+ *  information related to the RTEMS RAM Workspace.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#ifndef __WORKSPACE_inl
+#define __WORKSPACE_inl
+
+/*PAGE
+ *
+ *  _Workspace_Handler_initialization
+ *
+ */
+
+STATIC INLINE void _Workspace_Handler_initialization(
+  void       *starting_address,
+  unsigned32  size
+)
+{
+  unsigned32 *zero_out_array;
+  unsigned32  index;
+  unsigned32  memory_available;
+
+  if ( (starting_address == NULL) ||
+       !_Addresses_Is_aligned( starting_address ) )
+    rtems_fatal_error_occurred( RTEMS_INVALID_ADDRESS );
+
+  if ( _CPU_Table.do_zero_of_workspace ) {
+    for( zero_out_array  = (unsigned32 *) starting_address, index = 0 ;
+         index < size / 4 ;
+         index++ )
+      zero_out_array[ index ] = 0;
+  }
+
+  memory_available = _Heap_Initialize(
+    &_Workspace_Area,
+    starting_address,
+    size,
+    CPU_HEAP_ALIGNMENT
+  );
+
+  if ( memory_available == 0 )
+    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
+}
+
+/*PAGE
+ *
+ *  _Workspace_Allocate
+ *
+ */
+
+STATIC INLINE void *_Workspace_Allocate(
+  unsigned32 size
+)
+{
+   return _Heap_Allocate( &_Workspace_Area, size );
+}
+
+/*PAGE
+ *
+ *  _Workspace_Allocate_or_fatal_error
+ *
+ */
+
+STATIC INLINE void *_Workspace_Allocate_or_fatal_error(
+  unsigned32   size
+)
+{
+  void        *memory;
+
+  memory = _Workspace_Allocate( size );
+
+  if ( memory == NULL )
+    rtems_fatal_error_occurred( RTEMS_UNSATISFIED );
+
+  return memory;
+}
+
+/*PAGE
+ *
+ *  _Workspace_Free
+ *
+ */
+
+STATIC INLINE boolean _Workspace_Free(
+  void *block
+)
+{
+   return _Heap_Free( &_Workspace_Area, block );
+}
+
+#endif
+/* end of include file */
